#include <iostream>
#include <string>
#include <tuple>
#include <utility>

std::tuple<int, double, std::string> getConfig() {
	// the following officially only works since C++17
	// however, some compilers/standard libraries allow this even in C++14
	// if you have any trouble compiling this, use
	// std::make_tuple(...) instead of { ... }
	return { 3, 3.14, "Pi" };
};

void printTuple(const std::tuple<int, double, std::string>& t) {
	std::cout << std::get<0>(t) << "; "
	          << std::get<1>(t) << "; "
	          << std::get<2>(t) << '\n';
}

int main() {
	int a;
	double b;
	std::string name;
	std::tie(a, b, name) = getConfig();

	printTuple(std::make_tuple(a, b, name));

	// if you have trouble compiling this, see above
	printTuple({ 1, 0.07, "Nothing" });
}
