#include <iostream>
#include <set>

void printSet(const std::set<int>& s) {
	std::cout << "{";
	const char* sep = "";
	for (int x : s) {
		std::cout << sep << x;
		sep = ", ";
	}
	std::cout << "}\n";
}

int main() {
	std::set<int> s = { 7, 0, 5, 7, 100, -17 };

	s.insert(11);
	s.erase(0);

	auto result = s.insert(7);
	std::cout << (result.second ? "vlozeno" : "nevlozeno") << '\n';

	s.erase(result.first);

	auto iter = s.find(1000);

	if (iter != s.end()) {
		std::cout << "nalezeno, hodnota je " << *iter << '\n';
	} else {
		std::cout << "nenalezeno\n";
	}

	s.erase(--s.end());

	for (auto it = s.begin(); it != s.end();) {
		if (*it % 2 != 0) {
			it = s.erase(it);
		} else {
			++it;
		}
	}

	printSet(s);
}
